import { MutableRefObject } from 'react';
import { SvgDrawing, DrawingOption } from 'svg-drawing';
interface UseSvgDrawing {
    instance: SvgDrawing | null;
    clear: () => void;
    undo: () => void;
    changePenColor: (penColor: DrawingOption['penColor']) => void;
    changePenWidth: (penwidth: DrawingOption['penWidth']) => void;
    changeFill: (penColor: DrawingOption['fill']) => void;
    changeClose: (penwidth: DrawingOption['close']) => void;
    changeDelay: (penColor: DrawingOption['delay']) => void;
    changeCurve: (penwidth: DrawingOption['curve']) => void;
    getSvgXML: () => string | null;
    download: (ext: 'svg' | 'png' | 'jpg') => void;
}
export declare const useSvgDrawing: (option?: Partial<DrawingOption> | undefined) => [MutableRefObject<HTMLDivElement | null>, UseSvgDrawing];
export {};
